#
# spec file for package frame
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define soname  libframe
%define sover   6
%define _version 2.5.0daily13.06.05+16.10.20160809
Name:           frame
Version:        2.5.0+bzr20160809
Release:        bp156.4.6
Summary:        Touch frame library
License:        LGPL-3.0-only AND GPL-3.0-only
Group:          System/GUI/Other
URL:            https://launchpad.net/frame
Source:         https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{_version}.orig.tar.gz
Source1:        baselibs.conf
Patch:          frame-cstdio.patch
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(inputproto) >= 2.1.99.6
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi) >= 1.5.99.1
BuildRequires:  pkgconfig(xorg-server)
Provides:       %{name}-tools = %{version}
Obsoletes:      %{name}-tools < %{version}

%description
This package provides the tree that handles the buildup and
synchronisation of a set of simultaneous touches.

%package -n %{soname}%{sover}
Summary:        Touch frame library
Group:          System/Libraries

%description -n %{soname}%{sover}
This package provides the tree that handles the buildup and
synchronisation of a set of simultaneous touches.

%package devel
Summary:        Touch frame library development files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       %{soname}%{sover} = %{version}

%description devel
This package provides the tree that handles the buildup and
synchronisation of a set of simultaneous touches.

This package includes the development files for frame.

%prep
%setup -q -c
%patch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
  --disable-static       \
  --disable-silent-rules
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{soname}%{sover} -p /sbin/ldconfig

%postun -n %{soname}%{sover} -p /sbin/ldconfig

%files
%doc COPYING* README
%{_bindir}/%{name}-test-x11
%{_mandir}/man?/%{name}-test-x11.?%{?ext_man}

%files -n %{soname}%{sover}
%doc COPYING* README
%{_libdir}/%{soname}.so.%{sover}*

%files devel
%{_includedir}/oif/
%{_libdir}/%{soname}.so
%{_libdir}/pkgconfig/%{name}*.pc

%changelog
* Tue Sep 29 2020 Marguerite Su <i@marguerite.su>
- add frame-cstdio.patch, fix FTBFS for TW
* Sun Sep 10 2017 sor.alexei@meowr.ru
- Update to version 2.5.0+bzr20160809:
  * device: Don't use asserts to get properties on failures, to
    avoid crashes (lp#1350523).
- Add baselibs.conf.
* Tue Jul  5 2016 toddrme2178@gmail.com
- Fix Group tag.
* Sat Oct 10 2015 sor.alexei@meowr.ru
- Update to 2.5.0daily13.06.05.
- Spec cleanup.
* Mon Dec 22 2014 tchvatal@suse.com
- Update to 2.5.0:
  * various bugfixes, see changelog on launchpad for full log
- Remove tools subpkg as the tests require google framework we
  do not provide.
- Cleanup the spec file
* Sat Aug 11 2012 nmo.marques@gmail.com
- update to 2.2.4
- package name change from 'utouch-frame'; upstream changes
* Thu Aug  9 2012 nmo.marques@gmail.com
- minor updates
* Sun Aug  5 2012 nmo.marques@gmail.com
- pacote inicial
